package premium_store.controller.DTO;

import premium_store.model.GameClient;

import java.util.List;

//класс, который соединяет танки клиента в одну строчку (нам так захотелось)
public class ClientDTO {
    private final long id;
    private final String nickName;
    private final String email;
    private final Integer balance;
    private final List<TankDTO> tanks;

    public ClientDTO(GameClient gameClient){
        this.id = gameClient.getId();
        this.nickName = gameClient.getNickName();
        this.email = gameClient.getEmail();
        this.balance = gameClient.getBalance();
        this.tanks = gameClient.getTanks().stream()
                .map(TankDTO::new)
                .toList();
    }

    public long getId(){
        return id;
    }

    public String getNickName(){
        return nickName;
    }

    public String getEmail(){
        return email;
    }

    public Integer getBalance(){
        return balance;
    }

    public List<TankDTO> getTanks(){
        return tanks;
    }
}
